Package org.gradle.language

# Interface BinaryProvider<T>

Type Parameters:
  `T` - The type of binary.

All Superinterfaces:
  `Provider<T>`

public interface BinaryProvider<T> extends Provider<T>
Represents a binary that is created and configured as required.

Since:
  4.5

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `configure(Action<? super T> action)`
  Registers an action to execute to configure the binary.
  `void`
  `whenFinalized(Action<? super T> action)`
  Registers an action to execute when the binary has been configured.

  ### Methods inherited from interface org.gradle.api.provider.Provider

  `filter, flatMap, get, getOrElse, getOrNull, isPresent, map, orElse, orElse, zip`

- ## Method Details

  - ### configure

    void configure(Action<? super T> action)
    Registers an action to execute to configure the binary. The action is executed only when the element is required.

  - ### whenFinalized

    void whenFinalized(Action<? super T> action)
    Registers an action to execute when the binary has been configured. The action is executed only when the element is required.
    Since:
      4.6